import { Component, OnDestroy } from '@angular/core';
import { Router, ActivatedRoute, NavigationEnd } from '@angular/router';
import { Subscription } from 'rxjs/Subscription';
import { Probe } from '@overflow/commons-typescript/model/probe';
import { Target } from '@overflow/commons-typescript/model/target';
import { BreadcrumbService } from 'app/commons/service/breadcrumb.service';

@Component({
  selector: 'of-pages-probe',
  templateUrl: './probe-page.component.html',
})
export class ProbePageComponent {

  private isDetail: boolean;

  constructor(
    private router: Router,
    private route: ActivatedRoute,
    private breadcrumbService: BreadcrumbService
  ) {
    this.route.params.subscribe(params => {
      this.isDetail = params['id'] ? true : false;
    });

    this.breadcrumbService.setItems([
      { label: 'Probe', routerLink: ['/probe/list'],  }
    ]);
  }

  test() {
    alert('test');
  }

  onProbeSelect(probe: Probe) {
    this.router.navigate(['probe', probe.id, 'info']);
  }

  onTargetSelect(target: Target) {
    console.log(target);
  }
}
